<?php

class Albums extends MY_Controller {

	public function  __construct() {
	    parent::__construct();
	    $this->load->model('albums_model');
	    $this->load->helper('url');
	    $this->load->helper('form');
	    $this->load->library('form_validation');
	}
	
	public function index() {
	    $id = isset($_POST['id']) ? $_POST['id'] : '';
	    $nev = isset($_POST['nev']) ? $_POST['nev'] : '';
	    $leiras = isset($_POST['leiras']) ? $_POST['leiras'] : '';

	    $albums = $this->albums_model->get_albums($id, $nev, $leiras);

	    $data = array(
		'id'	    =>$id,
		'nev'	    =>$nev,
		'leiras'    =>$leiras,
		'albums'    =>$albums
	    );

	    //$this->load->view('list', $data);
	    $this->display_template('list', $data);
	}

	public function update($id) {
	    $this->form_validation->set_rules('id', 'Id', 'required');
	    $this->form_validation->set_rules('nev', 'Név', 'required');
	    $this->form_validation->set_rules('leiras', 'Leírás', 'required');

	    if ($this->form_validation->run() == FALSE)
	    {
		//Nem sikerult
		$album = $this->albums_model->get_album($id);
		$data = array(
		    'id'    => $album['id'],
		    'nev'   => $album['nev'],
		    'leiras'=> $album['leiras']
		);
		//$this->load->view('edit', $data);
		$this->display_template('edit', $data);
	    }
	    else
	    {
		//Sikerult
		$id = set_value('id');
		$nev = set_value('nev');
		$leiras = set_value('leiras');

		$uzenet = $this->albums_model->update_album($id, $nev, $leiras);

		redirect('albums/index');
	    }
	}
}
