<?php

class Images extends MY_Controller { //hook eseten: sima Controller kell

    public function  __construct() {
	parent::__construct();
	$this->load->model('images_model');
	$this->load->helper('url');
	$this->load->helper('form');
	$this->load->helper('html');
    }

    public function index($album_id) {
	$images = $this->images_model->get_images((int)$album_id);

	$data = array(
	    'album_id'	=> $album_id,
	    'images'    =>$images
	);

	// Template nelkul igy kell
	//$this->load->view('list_images', $data);

	// Ha oscontrollerrel csinaljuk, akkor igy kell
	$this->display_template('list_images', $data);

    // Ha hook-kal csinalnank, igy lehetne
    //	$this->view = 'list_images';
    //	$this->data = $data;
    }

    function upload($album_id) {
	if (count($_FILES) == 0 || !is_uploaded_file($_FILES['data']['tmp_name'])) {
	//Nem sikerult a validalas
	    $data = array(
		'album_id'    => $album_id
	    );
	    //$this->load->view('upload', $data);
	    $this->display_template('upload', $data);
	}
	else {
	//Sikerult a validalas
	    $data_name = $_FILES['data']['name'];
	    //$data_type = $_FILES['data']['type'];
	    $data_filename = $_FILES['data']['tmp_name'];
	    $data_thumb_filename = $this->_create_thumb($data_filename);

	    $data = file_get_contents($data_filename);
	    $data_thumb = file_get_contents($data_thumb_filename);

	    //$uzenet = $this->images_model->insert_image($data_name, $data, $album_id);
	    //$uzenet = $this->images_model->insert_image($data_name, $data, $data_thumb, $album_id);
	    $uzenet = $this->images_model->insert_image2($data_name, $data_filename, $data_thumb_filename, $album_id);

	    redirect("images/index/$album_id");
	}
    }

    private function _create_thumb($source_filename) {
	$config = array(
	    'image_library' => 'gd2',
	    'source_image' => $source_filename,
	    'create_thumb' => TRUE,
	    'maintain_ratio' => TRUE,
	    'width' => 75,
	    'height' => 50
	);

	$this->load->library('image_lib', $config);

	if ($this->image_lib->resize()) {
	    return $source_filename . '_thumb';
	}

	return false;
    }

    function download($id) {
	$kep = $this->images_model->get_image($id);
	header("Content-Type: image/jpeg");
	//header("Content-Disposition: attachment; filename={$kep['nev']}");
	echo $kep['data'];
    }

    function thumb($id) {
	$kep = $this->images_model->get_image($id);
	header("Content-Type: image/jpeg");
	//header("Content-Disposition: attachment; filename={$kep['nev']}");
	echo $kep['thumb'];
    }

}
